<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.bw.adv.module.base.mapper.ChannelCfgValueMapper">
  <resultMap id="BaseResultMap" type="com.bw.adv.module.cfg.model.ChannelCfgValue">
    <id column="cfg_value_id" jdbcType="BIGINT" property="cfgValueId" />
    <result column="channel_cfg_id" jdbcType="BIGINT" property="channelCfgId" />
    <result column="cfg_value" jdbcType="VARCHAR" property="cfgValue" />
    <result column="comments" jdbcType="VARCHAR" property="comments" />
    <result column="cfg_code" jdbcType="VARCHAR" property="cfgCode" />
  </resultMap>
  <resultMap id="ChannelCfgValueExp" type="com.bw.adv.module.cfg.model.ChannelCfgValueExp" extends="BaseResultMap">
    <result column="channel_id" jdbcType="BIGINT" property="channelId" />
  </resultMap>
  <sql id="Base_Column_List">
    cfg_value_id, channel_cfg_id, cfg_value, comments,cfg_code
  </sql>
  <select id="selectByPrimaryKey" parameterType="java.lang.Long" resultMap="BaseResultMap">
    select 
    <include refid="Base_Column_List" />
    from channel_cfg_value
    where cfg_value_id = #{cfgValueId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long">
    delete from channel_cfg_value
    where cfg_value_id = #{cfgValueId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.cfg.model.ChannelCfgValue">
    insert into channel_cfg_value (cfg_value_id, channel_cfg_id, cfg_value, cfg_code,
      comments)
    values (#{cfgValueId,jdbcType=BIGINT}, #{channelCfgId,jdbcType=BIGINT}, #{cfgValue,jdbcType=VARCHAR},#{cfgCode,jdbcType=VARCHAR}, 
      #{comments,jdbcType=VARCHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.cfg.model.ChannelCfgValue">
    insert into channel_cfg_value
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="cfgValueId != null">
        cfg_value_id,
      </if>
      <if test="channelCfgId != null">
        channel_cfg_id,
      </if>
      <if test="cfgValue != null">
        cfg_value,
      </if>
       <if test="cfgCode != null">
        cfg_code,
      </if>
      <if test="comments != null">
        comments,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="cfgValueId != null">
        #{cfgValueId,jdbcType=BIGINT},
      </if>
      <if test="channelCfgId != null">
        #{channelCfgId,jdbcType=BIGINT},
      </if>
      <if test="cfgValue != null">
        #{cfgValue,jdbcType=VARCHAR},
      </if>
      <if test="cfgCode != null">
        #{cfgCode,jdbcType=VARCHAR},
      </if>
      <if test="comments != null">
        #{comments,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
  
   <!-- 批量新增  -->
  <insert id="insertBatch" parameterType="java.util.List" >
    insert into channel_cfg_value (cfg_value_id, channel_cfg_id, cfg_value, cfg_code,
      comments)
    values
      <foreach collection="list" item="item" index="index"  
        separator=",">
	      (#{item.cfgValueId,jdbcType=BIGINT}, #{item.channelCfgId,jdbcType=BIGINT}, #{item.cfgValue,jdbcType=VARCHAR},#{item.cfgCode,jdbcType=VARCHAR}, 
      #{item.comments,jdbcType=VARCHAR})
    </foreach>
    </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.cfg.model.ChannelCfgValue">
    update channel_cfg_value
    <set>
      <if test="channelCfgId != null">
        channel_cfg_id = #{channelCfgId,jdbcType=BIGINT},
      </if>
      <if test="cfgValue != null">
        cfg_value = #{cfgValue,jdbcType=VARCHAR},
      </if>
      <if test="cfgCode != null">
        cfg_code = #{cfgCode,jdbcType=VARCHAR},
      </if>
      <if test="comments != null">
        comments = #{comments,jdbcType=VARCHAR},
      </if>
    </set>
    where cfg_value_id = #{cfgValueId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.cfg.model.ChannelCfgValue">
    update channel_cfg_value
    set channel_cfg_id = #{channelCfgId,jdbcType=BIGINT},
      cfg_value = #{cfgValue,jdbcType=VARCHAR},
      cfg_code = #{cfgCode,jdbcType=VARCHAR},
      comments = #{comments,jdbcType=VARCHAR}
    where cfg_value_id = #{cfgValueId,jdbcType=BIGINT}
  </update>
  
  <select id="selectConditionByChannelCfgId" resultMap="ChannelCfgValueExp" parameterType="java.lang.Long">
  select cfg_value.cfg_value_id cfg_value_id,cfg_value.channel_cfg_id channel_cfg_id,cfg_value.cfg_value cfg_value,cfg.comments comments,cfg_value.cfg_code cfg_code,CHANNEL_ID from channel_cfg cfg
	inner join channel_cfg_value cfg_value on cfg.channel_cfg_id= cfg_value.channel_cfg_id
	where  cfg.channel_cfg_id=#{channelCfgId,jdbcType=BIGINT}
  </select>
  
  <delete id="deleteCoditionByChannelCfgId" parameterType="java.lang.Long">
  	delete from channel_cfg_value
    where channel_cfg_id=#{channelCfgId,jdbcType=BIGINT}
  </delete>
</mapper>